Summary: A basic Internet news reader.
Name: tin
Version: 1.6.2
Release: 1
Copyright: distributable
Group: Applications/Internet
Source:  ftp://ftp.tin.org/pub/news/clients/tin/v1.6/tin-%{version}.tar.gz
#Patch0: tinpre-1.4-egcs.patch
BuildRoot: /var/tmp/%{name}-root

%description
Tin is a basic, easy to use Internet news reader.  Tin can read news
locally or remotely via an NNTP (Network News Transport Protocol)
server. Tin is a text-oriented menu system, so can easily be ran remotely
or in low-bandwidth environments.

Install tin if you need a basic news reader.

%prep
%setup -q
#%patch -p1 -b .egcs

%build
CFLGAS=$RPM_OPT_FLAGS %configure  --verbose \
	--with-libdir=/var/lib/news \
	--with-spooldir=/var/spool/news \
	--enable-nntp \
	--enable-prototypes \
	--disable-echo \
	--disable-mime-strict-charset \
	--enable-color \
	--enable-ncurses \
	--enable-locale

make clean
make build

%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL_PREFIX=$RPM_BUILD_ROOT

mkdir -p ${RPM_BUILD_ROOT}/%{_bindir}
pwd
install -m755 -c src/tin $RPM_BUILD_ROOT/%{_bindir}
ln -sf tin $RPM_BUILD_ROOT/%{_bindir}/rtin

mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
#cp -p doc/tin.1 $RPM_BUILD_ROOT/%{_mandir}/man1
install -m644 -c doc/tin.1 $RPM_BUILD_ROOT/%{_mandir}/man1

mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man5
install -m644 -c doc/tin.5 $RPM_BUILD_ROOT/%{_mandir}/man5
#cp -p doc/tin.5 $RPM_BUILD_ROOT/%{_mandir}/man5

%clean
#rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README doc/
/%{_bindir}/tin
/%{_bindir}/rtin
%{_mandir}/man1/tin.1*
%{_mandir}/man5/tin.5*

%changelog
* Wed Sep 17 2003 Dan Anderson <rpm@drydog.com>
- rebuild with new version

* Thu Feb 17 2000 Preston Brown <pbrown@redhat.com>
- rebuild with new vi in the buildroots so it finds the right default editor

* Thu Feb 10 2000 Preston Brown <pbrown@redhat.com>
- bump epoch

* Mon Feb 07 2000 Preston Brown <pbrown@redhat.com>
- upgrade to 1.4.2 (stable)

* Mon May 31 1999 Jeff Johnson <jbj@redhat.com>
- update to tinpre-1.4-19990517.
- fix libdir=/var/lib/news (#7).
- fix spooldir=/var/spool/news.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Tue Mar 09 1999 Preston Brown <pbrown@redhat.com>
- upgraded to latest dev version snapshot.

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Tue Dec 22 1998 Preston Brown <pbrown@redhat.com>
- upgraded again to latest snapshot.

* Fri Nov 06 1998 Preston Brown <pbrown@redhat.com>
- Alan is right; 1.22 is full of bugs and ANCIENT. Moved to latest tin.

* Tue Aug  4 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Wed Jun 24 1998 Alan Cox <alan@redhat.com>
- turned on DONT_LOG_USER - get rid of the silly file in /tmp. We probably
  ought to move to a newer tin soon.

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 15 1998 Erik Troan <ewt@redhat.com>
- built against new ncurses

* Mon Nov 3 1997 Erik Troan <ewt@redhat.com>
- hacked to use just termios, not a motley mix of termios and termio

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- built against glibc
